!function() {
    window.BuildConfigPlugin = {
        getParameterMap : function(option) {
            var resultOption = $.extend({
                'onSuccess' : function(parameterMap) {},
                'onError' : function() {}
            }, option);

            var key = resultOption.key;

            if (Inner.cache.parameterMap) {
            	resultOption.onSuccess(Inner.cache.parameterMap)
            } else {
            	CordovaPlugin.execute({
	                'serviceName' : 'BuildConfigPlugin',
	                'methodName' : 'getParameterMap',
	                'onSuccess' : function(result) {
	                	Inner.cache.parameterMap = result.parameterMap
	                    resultOption.onSuccess(result.parameterMap)
	                },
	                'onError' : function(error) {
	                    resultOption.onError();
	                }
	            });
            }
        }
    };
    
    const Inner = {
    	cache : {
    		parameterMap: undefined
    	}
    };
}();
