window.CordovaTool = {
    plugin : {
        execute : function(option) {
            var resultOption = $.extend({
                'serviceName' : undefined,
                'methodName' : undefined,
                'parameters' : [],
                'onSuccess' : function(result) {},
                'onError' : function(error) {}
            }, option);

            var serviceName = resultOption.serviceName;
            var methodName = resultOption.methodName;
            var parameters = resultOption.parameters;

            cordova.exec(function(result) {
                resultOption.onSuccess(result);
            }, function(error) {
                console.error('CordovaTool.plugin.execute() error : '
                        + serviceName + '.' + methodName
                        + '(' + JSON.stringify(parameters) + ') '
                        + JSON.stringify(error));
                resultOption.onError(error);
            }, serviceName, methodName, parameters);
        }
    }
};
