!function() {
    window.ManifestPlugin = {
        getMetaData : function(option) {
            var resultOption = $.extend({
                'key' : undefined,
                'onSuccess' : function(value) {},
                'onError' : function(error) {}
            }, option);

            var key = resultOption.key;

            var metaDataMap = Inner.cache.metaDataMap;
            var value = metaDataMap[key];
            if (value == undefined) {
                CordovaTool.plugin.execute({
                    'serviceName' : 'ManifestPlugin',
                    'methodName' : 'getMetaData',
                    'parameters' : [ key ],
                    'onSuccess' : function(result) {
                        resultOption.onSuccess(result.value);
                    },
                    'onError' : function(error) {
					    resultOption.onError();
                    }
                });
            } else {
                resultOption.onSuccess(value);
            }
        }
    };

    var Inner = {
        cache : {
            'metaDataMap' : {}
        }
    };
}();
